Skip to main content
PUT
/
api
/
v1
/
named_entities
/
{resource_type}
/
{id.project}
/
{id.domain}
/
{id.name}
Updates a :ref:`ref_flyteidl.admin.NamedEntity` object
curl --request PUT \
  --url https://mycluster.domino.tech/api/v1/named_entities/{resource_type}/{id.project}/{id.domain}/{id.name} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": {
    "org": "<string>"
  },
  "metadata": {
    "description": "<string>",
    "state": "NAMED_ENTITY_ACTIVE"
  }
}
'
{}

Path Parameters

resource_type
enum<string>
required

Resource type of the metadata to update +required

Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.name
string
required

User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'

Body

application/json

Request to set the referenced named entity state to the configured value.

id
Identifier of the metadata to update +required · object
metadata
object

Additional metadata around a named entity.

Response

A successful response.

Purposefully empty, may be populated in the future.